<?php

/**

 * The main template file

 *

 * This is the most generic template file in a WordPress theme

 * and one of the two required files for a theme (the other being style.css).

 * It is used to display a page when nothing more specific matches a query.

 * E.g., it puts together the home page when no home.php file exists.

 *

 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/

 *

 * @package Sleepybeargummies

 */

get_header();

?>

<div class="container">

    <section class="page-title-wrap">

        <div class="container">

            <h1 class="page-title"><?php  echo get_the_archive_title();?></h1>

        </div>

    </section>

    <div class="row">

    	<div class="custom-col-8 blog-page-content" id="primary">

            <section class="posts">

                <div class="posts-content">    			

    				<?php if ( have_posts() ) :

    					/* Start the Loop */

    					while ( have_posts() ) :

    						the_post();



    						/*

    						 * Include the Post-Type-specific template for the content.

    						 * If you want to override this in a child theme, then include a file

    						 * called content-___.php (where ___ is the Post Type name) and that will be used instead.

    						 */

    						get_template_part( 'template-parts/content', get_post_type() );



    					endwhile;

						echo '<div class="post-navigation-wrapper">';

						the_posts_navigation();

						echo '</div>';

					else :

						get_template_part( 'template-parts/content', 'none' );

					endif;

					?>

			 	</div>

            </section>                                        

        </div>

		

		<div id="secondary" class="custom-col-4 widget-area">

			<?php get_sidebar(); ?>

		</div>		

	</div>

</div>

<?php get_footer();