<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Sleepybeargummies
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
  	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="p:domain_verify" content="e503de46ff2d7e9ae272aba473869b2b"/>
  	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#content">Skip to content</a>
	<!-- header starts from here -->
	<header id="masthead" class="site-header">
	    <div class="top-header">
	        <div class="container">
				<?php
				$header_top 	= get_theme_option('header-top');
				if( !empty( $header_top )):
					?>
	            	<div class="top-header-info">
		                <span><?php echo $header_top;?></span>
		            </div>
            	<?php endif; ?>
	        </div>
	    </div>
	    <div class="hgroup-wrap">
	        <div class="site-branding">
	            <div class="site-title">
                    <?php 
		              $site_logo_id   	= get_theme_mod( 'custom_logo' );
		              $site_logo_url	= sleepybeargummies_image_src ( array ( 'id' => $site_logo_id, 'size' => 'full' ) );
		          	?>
		          	<a href="<?php echo home_url(); ?>">
		              	<?php if($site_logo_id) { ?>
	                  		<img src="<?php echo esc_url( $site_logo_url );?>" alt="<?php echo get_bloginfo('name');?>" title="<?php echo get_bloginfo('name');?>" >
		              	<?php } else {
	                  		echo get_bloginfo('name');
		              	} ?>
		          	</a>
	            </div>
	        </div>
	        <!-- .site-branding -->
	        <div id="navbar" class="navbar">
	            <nav id="site-navigation" class="navigation main-navigation">
	                <div class="menu-top-menu-container">
                    	<?php
    	                    if( has_nav_menu( 'main-menu' )):
    	                        $args = array(
    	                            'theme_location' => 'main-menu',
    	                            'menu' => '',
    	                            'container' => '',
    	                            'container_class' => '',
    	                            'container_id' => '',
    	                            'menu_class' => '',
    	                            'menu_id' => '',
    	                            'echo' => true,
    	                            'fallback_cb' => '',
    	                            'before' => '',
    	                            'after' => '',
    	                            //'link_before' => '<div>',
    	                            //'link_after' => '</div>',
    	                            'items_wrap' => '<ul>%3$s</ul>',
    	                            'depth' => 0,
    	                            'walker' => ''
    	                        );                      
    	                        wp_nav_menu( $args );
    	                    endif;
                        ?>
	                </div>
	            </nav>

	        </div>
	        <!-- .navbar -->
	        <div class="hgroup-right">
				<?php if ( is_front_page() ) { ?>
					<div class="page-load-btn page-load-btn-active">
						<a href="#" title="Switch to Day Bear">btn</a>
					</div>
				<?php } ?>
	            <div class="header-cart-information">
	                <div class="site-cart-views">
	                    <div class="site-cart-info">
	                        <i class="fa fa-shopping-basket"></i>
	                        <span class="cart-quantity">0</span>
	                    </div>
	                    <div class="widget widget_shopping_cart">
	                        <div class="mini_cart_inner">
	                            <div class="widget woocommerce widget_shopping_cart">
	                                <div class="widget_shopping_cart_content">
	                                    <p class="woocommerce-mini-cart__empty-message">No products in the cart.
	                                    </p>
	                                </div>
	                            </div>
	                        </div>
	                    </div>
	                </div>
	            </div>
	        </div>
	    </div>
	</header>
	<?php
	//for homepage
	/*if( is_front_page() && is_page_template( 'templates/homepage.php' )): 

		?>
		<section class="banner-section">
		    <div class="container">
		        <figure class="featured-image">
		            <img src="assets/images/banner-image.png" alt="">
		        </figure>
		        <div class="banner-content-wrap">
		            <h1 class="entry-title">The Nighttime Gummy Bear</h1>
		            <h3>CBD | CBN | Melatonin</h3>
		            <p>Fall Asleept Faster, Stay Asleep Longer ! Reset your sleep cycle the natural way with Sleepy Bear’s nighttime formula</p>
		            <a href="#" class="box-button">buy the bear</a>
		        </div>
		    </div>
		</section>
		<!-- banner-section -->
	<?php endif; */ ?>

	<div id="content" class="site-content">