<?php

$homepage_page_opts = 'homepage_options';



CSF::createMetabox( $homepage_page_opts, array(

  'title'           => 'SBG : Homepage Other Content',

  'post_type'       => 'page',

  'page_templates'  => 'templates/homepage.php',

  //'data_type'       => 'unserialize',  //default is serialize

  'priority'        => 'high',

  'theme'           => 'light',

) );



/**

 * Banner section

 */

CSF::createSection( $homepage_page_opts, array(

  'title'  => 'Banner Section',

  'icon'   => 'fa fa-diamond',

  'fields' => array(          

    array(

      'id'          =>  'hp-banner-enable',

      'type'        =>  'switcher',

      'title'       =>  'Banner Enable',          

    ),

    

    array(

      'id'          => 'hp-banner-product',

      'type'        => 'select',

      'title'       => 'Select Product',

      'placeholder' => 'Select Product',

      'options'     => 'posts',

      'chosen'      => true,

      'multiple'    => false,

      'sortable'    => true,

      'query_args'  => array(

        'post_type'  => 'product',

      ),

      'dependency'  => array('hp-banner-enable', '==', 'true'),

    ),

    array(
      'id'          =>  'hp-banner-custom-btn-enable',
      'type'        =>  'switcher',
      'title'       =>  'Custom Button Enable',
      'dependency' => array('hp-banner-enable', '==', 'true'),
    ),
    array(
      'id'        => 'hp-banner-custom-btn-label',
      'type'      => 'text',
      'title'     => 'Button Label',
      'dependency' => array('hp-banner-custom-btn-enable|hp-banner-enable', '==|==', 'true|true'),
    ),
    array(
      'id'        => 'hp-banner-custom-btn-url',
      'type'      => 'text',
      'title'     => 'Button URL',
      'dependency' => array('hp-banner-custom-btn-enable|hp-banner-enable', '==|==', 'true|true'),
    ),



  )

) );



/**

 * Content Below Banner Section

 */

CSF::CreateSection( $homepage_page_opts, array(

  'title' => 'Content Below Banner Section',

  'icon'  => 'fa fa-align-justify',

  'fields'=> array(

    array(

      'id'    => 'hp-content-below-banner-enable',

      'type'  => 'switcher',

      'title' => 'Content Below Banner Enable'

    ),

    array(

      'id'    =>  'hp-content-below-banner-repeater',

      'title' =>  'Content Below Banner',

      'type'  =>  'group',

      'fields' => array(

        array(

          'id'        => 'hp-content-below-banner-image',

          'type'      => 'media',

          'title'     => 'Image',

          'library'   => 'image',

        ),   

        array(

          'id'        => 'hp-content-below-banner-desc',

          'type'      => 'wp_editor',

          'title'     => 'Description',          

          'media_buttons' => false,

        ),

        array(

          'id'        => 'hp-content-below-banner-link-label',

          'type'      => 'text',

          'title'     => 'Link Label',

        ),

        array(

          'id'        => 'hp-content-below-banner-link-url',

          'type'      => 'text',

          'title'     => 'Link URL',

        ),



      ),

      'dependency' => array('hp-content-below-banner-enable', '==', 'true'),

    ),



  )

) );



/**

 * Homepage Meet Team Section

 */

CSF::createSection( $homepage_page_opts, array(

  'title'  => 'Meet Team Section',

  'icon'   => 'fa fa-tasks',

  'fields' => array(

    array(

      'id'      =>  'hp-meet-team-enable',

      'type'    =>  'switcher',

      'title'   =>  'Meet Team Enable',

    ),

    array(

      'id'        => 'hp-meet-team-sec-title',

      'type'      => 'text',

      'title'     => 'Section Title',

      'dependency'  => array('hp-meet-team-enable', '==' , true),

    ),

    array(

      'id'        => 'hp-meet-team-sec-desc',

      'type'      => 'wp_editor',

      'title'     => 'Section Description',

      'media_buttons' => false,

      'dependency'  => array('hp-meet-team-enable', '==' , true),

    ),

    array(

      'id'        => 'hp-meet-team-sec-image',

      'type'      => 'media',

      'title'     => 'Side Image',

      'library'   => 'image',

      'dependency'  => array('hp-meet-team-enable', '==' , true),

    ),

    array(

      'id'        => 'hp-meet-team-sec-image-second',

      'type'      => 'media',

      'title'     => 'Side Image Second',

      'library'   => 'image',

      'dependency'  => array('hp-meet-team-enable', '==' , true),

    ),

    array(

      'id'      =>  'hp-meet-team-content-repeater',

      'title'   =>  'Meet Team Lists',

      'type'    =>  'group',

      'fields'  => array(

        array(

          'id'        => 'hp-meet-team-title',

          'type'      => 'text',

          'title'     => 'Title',

        ),

        array(

          'id'        => 'hp-meet-team-image',

          'type'      => 'media',

          'title'     => 'Image',

          'library'   => 'image',

        ),   

        array(

          'id'        => 'hp-meet-team-desc',

          'type'      => 'wp_editor',

          'title'     => 'Description',

          'media_buttons' => false,

        ),

        array(

          'id'        => 'hp-meet-team-btn-label',

          'type'      => 'text',

          'title'     => 'Button Label',

        ),

        array(

          'id'        => 'hp-meet-team-btn-url',

          'type'      => 'text',

          'title'     => 'Button URL',

        ),



      ),

      'dependency' => array('hp-meet-team-enable', '==', 'true'),

    ),



  )

) );



/**

 * Homepage Best Section

 */

CSF::createSection( $homepage_page_opts, array(

  'title'  => 'Best Section',

  'icon'   => 'fa fa-tasks',

  'fields' => array(

    array(

      'id'      =>  'hp-best-enable',

      'type'    =>  'switcher',

      'title'   =>  'Best Enable',

    ),

    array(

      'id'        => 'hp-best-sec-title',

      'type'      => 'text',

      'title'     => 'Section Title',

      'dependency'  => array('hp-best-enable', '==' , true),

    ),

    array(

      'id'          =>  'hp-best-sec-btn-enable',

      'title'       =>  'Section Button Enable',

      'type'        =>  'switcher',

      'dependency'  => array('hp-best-enable', '==', 'true'), 

    ),

    array(

      'id'          =>  'hp-best-sec-btn-label',

      'title'       =>  'Section Button Label',

      'type'        =>  'text',

      'dependency'  => array('hp-best-sec-btn-enable|hp-best-enable', '==|==', 'true|true'), 

    ),

    array(

      'id'          =>  'hp-best-sec-btn-url',

      'title'       =>  'Section Button URL',

      'type'        =>  'text',

      'dependency'  => array('hp-best-sec-btn-enable|hp-best-enable', '==|==', 'true|true'), 

    ),

    array(

      'id'      =>  'hp-best-content-repeater',

      'title'   =>  'Best Lists',

      'type'    =>  'group',

      'fields'  => array(

        array(

          'id'        => 'hp-best-title',

          'type'      => 'text',

          'title'     => 'Title',

        ),

        array(

          'id'        => 'hp-best-image',

          'type'      => 'media',

          'title'     => 'Image',

          'library'   => 'image',

        ),   

        array(

          'id'        => 'hp-best-desc',

          'type'      => 'wp_editor',

          'title'     => 'Description',

          'media_buttons' => false,

        ),

        array(

          'id'        => 'hp-best-url',

          'type'      => 'text',

          'title'     => 'Product URL',

        ),

        array(

          'id'        => 'hp-best-catalog-label',

          'type'      => 'text',

          'title'     => 'Catalog Label',

        ),

        array(

          'id'        => 'hp-best-catalog-url',

          'type'      => 'text',

          'title'     => 'Catalog URL',

        ),



      ),

      'dependency' => array('hp-best-enable', '==', 'true'),

    ),



  )

) );



/**

 * Homepage Quality & Safety Section

 */

CSF::createSection( $homepage_page_opts, array(

  'title'  => 'Quality & Safety Section',

  'icon'   => 'fa fa-tasks',

  'fields' => array(

    array(

      'id'      =>  'hp-quality-safety-enable',

      'type'    =>  'switcher',

      'title'   =>  'Quality & Safety Enable',

    ),

    array(

      'id'        => 'hp-quality-safety-sec-title',

      'type'      => 'text',

      'title'     => 'Section Title',

      'dependency'  => array('hp-quality-safety-enable', '==' , true),

    ),

    array(

      'id'        => 'hp-quality-safety-sec-desc',

      'type'      => 'wp_editor',

      'title'     => 'Section Description',

      'media_buttons' => false,

      'dependency'  => array('hp-quality-safety-enable', '==' , true),

    ),

    array(

      'id'        => 'hp-quality-safety-sec-image',

      'type'      => 'media',

      'title'     => 'Side Image',

      'library'   => 'image',

      'dependency'  => array('hp-quality-safety-enable', '==' , true),

    ), 

    array(

      'id'        => 'hp-quality-safety-sec-image-second',

      'type'      => 'media',

      'title'     => 'Side Image Second',

      'library'   => 'image',

      'dependency'  => array('hp-quality-safety-enable', '==' , true),

    ), 

    array(

      'id'      =>  'hp-quality-safety-content-repeater',

      'title'   =>  'Quality & Safety Lists',

      'type'    =>  'group',

      'fields'  => array(

        array(

          'id'        => 'hp-quality-safety-title',

          'type'      => 'text',

          'title'     => 'Title',

          'sanitize'  => 'sanitize_delta',

        ),

        array(

          'id'        => 'hp-quality-safety-image',

          'type'      => 'media',

          'title'     => 'Image',

          'library'   => 'image',

        ),   

        array(

          'id'        => 'hp-quality-safety-desc',

          'type'      => 'wp_editor',

          'title'     => 'Description',

          'media_buttons' => false,

          'sanitize'  => 'sanitize_delta',

        ),

        array(

          'id'        => 'hp-quality-safety-btn-label',

          'type'      => 'text',

          'title'     => 'Button Label',

          'sanitize'  => 'sanitize_delta',

        ),

        array(

          'id'        => 'hp-quality-safety-btn-url',

          'type'      => 'text',

          'title'     => 'Button URL',

          'sanitize'  => 'sanitize_delta',

        ),



      ),

      'dependency' => array('hp-quality-safety-enable', '==', 'true'),

    ),



  )

) );



/**

 * Homepage CTA Section

 */

CSF::CreateSection( $homepage_page_opts, array(

  'title' => 'CTA Section',

  'icon'  => 'fa fa-align-justify',

  'fields'=> array(

    array(

      'id'          => 'hp-cta-enable',

      'type'        => 'switcher',

      'title'       => 'CTA Enable'

    ),

    array(

      'id'          =>  'hp-cta-image',

      'title'       =>  'Side Image',

      'type'        =>  'media',

      'dependency'  => array('hp-cta-enable', '==' , true),

    ),

    array(

      'id'          => 'hp-cta-title',

      'type'        => 'text',

      'title'       => 'Title',

      'dependency'  => array('hp-cta-enable', '==' , true),

    ),

    array(

      'id'          => 'hp-cta-desc',

      'type'        => 'wp_editor',

      'title'       => 'Description',

      'dependency'  => array('hp-cta-enable', '==' , true),

    ),

    array(

      'id'          =>  'hp-cta-button-enable',

      'title'       =>  'Button Enable',

      'type'        =>  'switcher',

      'dependency'  => array('hp-cta-enable', '==', 'true'), 

    ),

    array(

      'id'          =>  'hp-cta-button-label',

      'title'       =>  'Button Label',

      'type'        =>  'text',

      'dependency'  => array('hp-cta-button-enable|hp-cta-enable', '==|==', 'true|true'), 

    ),

    array(

      'id'          =>  'hp-cta-button-url',

      'title'       =>  'Button URL',

      'type'        =>  'text',

      'dependency'  => array('hp-cta-button-enable|hp-cta-enable', '==|==', 'true|true'), 

    ),



  )

) );



/**

 * Homepage About Us Section

 */

CSF::createSection( $homepage_page_opts, array(

  'title'  => 'About Us Section',

  'icon'   => 'fa fa-tasks',

  'fields' => array(

    array(

      'id'      =>  'hp-about-us-enable',

      'type'    =>  'switcher',

      'title'   =>  'About Us Enable',

    ),

    array(

      'id'        => 'hp-about-us-sec-title',

      'type'      => 'text',

      'title'     => 'Section Title',

      'dependency'  => array('hp-about-us-enable', '==' , true),

    ),

    array(

      'id'        => 'hp-about-us-sec-desc',

      'type'      => 'wp_editor',

      'title'     => 'Section Description',

      'media_buttons' => false,

      'dependency'  => array('hp-about-us-enable', '==' , true),

    ),

    array(

      'id'        => 'hp-about-us-sec-image',

      'type'      => 'media',

      'title'     => 'Side Image',

      'library'   => 'image',

      'dependency'  => array('hp-about-us-enable', '==' , true),

    ),

    array(

      'id'        => 'hp-about-us-sec-image-second',

      'type'      => 'media',

      'title'     => 'Side Image Second',

      'library'   => 'image',

      'dependency'  => array('hp-about-us-enable', '==' , true),

    ), 

    array(

      'id'      =>  'hp-about-us-content-repeater',

      'title'   =>  'About Us Lists',

      'type'    =>  'group',

      'fields'  => array(

        array(

          'id'        => 'hp-about-us-title',

          'type'      => 'text',

          'title'     => 'Title',

        ),

        array(

          'id'        => 'hp-about-us-image',

          'type'      => 'media',

          'title'     => 'Image',

          'library'   => 'image',

        ),   

        array(

          'id'        => 'hp-about-us-desc',

          'type'      => 'wp_editor',

          'title'     => 'Description',

          'media_buttons' => false,

        ),

        array(

          'id'        => 'hp-about-us-btn-label',

          'type'      => 'text',

          'title'     => 'Button Label',

        ),

        array(

          'id'        => 'hp-about-us-btn-url',

          'type'      => 'text',

          'title'     => 'Button URL',

        ),



      ),

      'dependency' => array('hp-about-us-enable', '==', 'true'),

    ),



  )

) );



/**

 * Content Product section

 */

CSF::createSection( $homepage_page_opts, array(

  'title'  => 'Content Product Section',

  'icon'   => 'fa fa-product-hunt',

  'fields' => array(          

    array(

      'id'          =>  'hp-content-product-enable',

      'type'        =>  'switcher',

      'title'       =>  'Content Product Enable',          

    ),

    

    array(

      'id'          => 'hp-content-product',

      'type'        => 'select',

      'title'       => 'Select Product',

      'placeholder' => 'Select Product',

      'options'     => 'posts',

      'chosen'      => true,

      'multiple'    => true,

      'sortable'    => true,

      'query_args'  => array(

        'post_type'  => 'product',

      ),

      'dependency'  => array('hp-content-product-enable', '==', 'true'),

    ),



  )

) );


/*
* CTA above contact section 
*/
CSF::CreateSection( $homepage_page_opts, array(

  'title' => 'CTA Above Contact Section',

  'icon'  => 'fa fa-align-justify',

  'fields'=> array(

    array(

      'id'          => 'hp-cta-enable-2',

      'type'        => 'switcher',

      'title'       => 'CTA Above Contact Enable'

    ),

    array(

      'id'          =>  'hp-cta-image-2',

      'title'       =>  'Side Image',

      'type'        =>  'media',

      'dependency'  => array('hp-cta-enable-2', '==' , true),

    ),

    array(

      'id'          => 'hp-cta-title-2',

      'type'        => 'text',

      'title'       => 'Title',

      'dependency'  => array('hp-cta-enable-2', '==' , true),

    ),

    array(

      'id'          => 'hp-cta-desc-2',

      'type'        => 'wp_editor',

      'title'       => 'Description',

      'dependency'  => array('hp-cta-enable-2', '==' , true),

    ),

    array(

      'id'          =>  'hp-cta-button-enable-2',

      'title'       =>  'Button Enable',

      'type'        =>  'switcher',

      'dependency'  => array('hp-cta-enable-2', '==', 'true'), 

    ),

    array(

      'id'          =>  'hp-cta-button-label-2',

      'title'       =>  'Button Label',

      'type'        =>  'text',

      'dependency'  => array('hp-cta-button-enable-2|hp-cta-enable-2', '==|==', 'true|true'), 

    ),

    array(

      'id'          =>  'hp-cta-button-url-2',

      'title'       =>  'Button URL',

      'type'        =>  'text',

      'dependency'  => array('hp-cta-button-enable-2|hp-cta-enable-2', '==|==', 'true|true'), 

    ),



  )

) );


/**

 * Homepage Contact Section

 */

CSF::createSection( $homepage_page_opts, array(

  'title'  => 'Contact Section',

  'icon'   => 'fa fa-paper-plane',

  'fields' => array(

    array(

      'id'      =>  'hp-contact-enable',

      'type'    =>  'switcher',

      'title'   =>  'Contact Enable',

    ),

    array(

      'id'        => 'hp-contact-sec-title',

      'type'      => 'text',

      'title'     => 'Section Title',

      'dependency'  => array('hp-contact-enable', '==' , true),

    ),

    array(

      'id'        => 'hp-contact-sec-desc',

      'type'      => 'wp_editor',

      'title'     => 'Content',

      'media_buttons' => false,

      'dependency'  => array('hp-contact-enable', '==' , true),

    ),

    array(

      'id'        => 'hp-contact-sec-image',

      'type'      => 'media',

      'title'     => 'Side Image',

      'library'   => 'image',

      'dependency'  => array('hp-contact-enable', '==' , true),

    ),

    array(

      'id'        => 'hp-contact-sec-image-text',

      'type'      => 'wp_editor',

      'title'     => 'Text Above Image',

      'media_buttons' => false,

      'dependency'  => array('hp-contact-enable', '==' , true),

    ),



  )

) );



/**

 * Homepage Follow Section

 */

CSF::createSection( $homepage_page_opts, array(

  'title'  => 'Follow Section',

  'icon'   => 'fa fa-share-square',

  'fields' => array(

    array(

      'id'      =>  'hp-follow-enable',

      'type'    =>  'switcher',

      'title'   =>  'Follow Enable',

    ),

    array(

      'id'        => 'hp-follow-sec-title',

      'type'      => 'text',

      'title'     => 'Section Title',

      'dependency'  => array('hp-follow-enable', '==' , true),

    ),

    array(

      'id'      =>  'hp-social-link-enable',

      'type'    =>  'switcher',

      'title'   =>  'Social Link Enable',

      'dependency'  => array('hp-follow-enable', '==' , true),

    ),

    array(

      'type'    => 'notice',

      'style'   => 'info',

      'content' => '<a href="'.site_url( '/wp-admin/nav-menus.php' ).'">Click Here</a> to create and assign menu to Social Links on \'Display Location\' to show social links on this section.',

      'dependency'  => array('hp-follow-enable|hp-social-link-enable', '==|==' , 'true|true'),

    ),

    array(

      'id'        => 'hp-instagram-feed-shortcode',

      'type'      => 'textarea',

      'title'     => 'Instagram Shortcode',

      'dependency'  => array('hp-follow-enable', '==' , true),

    ),

    /*array(

      'id'      =>  'hp-follow-social-links',

      'title'   =>  'Social Links',

      'type'    =>  'group',

      'fields'  => array(

        array(

          'id'        => 'hp-follow-title',

          'type'      => 'text',

          'title'     => 'Title',

        ),

        array(

          'id'        => 'hp-follow-image',

          'type'      => 'media',

          'title'     => 'Image',

          'library'   => 'image',

        ),

        array(

          'id'        => 'hp-follow-link-url',

          'type'      => 'text',

          'title'     => 'Link URL',

        ),



      ),

      'dependency' => array('hp-follow-enable', '==', 'true'),

    ),*/



  )

) );