<?php

$product_opts = 'product_options';



CSF::createMetabox( $product_opts, array(

  'title'           => 'SBG : Product Other Content',

  'post_type'       => 'product',

  //'data_type'       => 'unserialize',  //default is serialize

  'priority'        => 'high',

  'theme'           => 'light',

) );



/**

 * Product top section additional data

 */

CSF::CreateSection( $product_opts, array(

  'title' => 'Product Top Section',

  'icon'  => 'fa fa-align-justify',

  'fields'=> array( 

    array(

      'id'        => 'pp-product-title',

      'type'      => 'text',

      'title'     => 'Homepage Title',

    ), 
    array(
        'id'    =>  'product-single-page',
        'type'  =>  'wp_editor',
        'title' =>  'Subscription Page ',
        'media_buttons' => false,
    ),    

    array(

      'id'        => 'pp-product-sub-title',

      'type'      => 'text',

      'title'     => 'Sub Title',

    ),    

    array(

      'id'        => 'pp-product-desc-homepage',

      'type'      => 'wp_editor',

      'title'     => 'Description on Homepage',          

      'media_buttons' => false,

    ),



  )

) );



/**

 * Bear Bed Section

 */

CSF::CreateSection( $product_opts, array(

  'title' => 'Bear Bed Section',

  'icon'  => 'fa fa-align-justify',

  'fields'=> array(

    array(

      'id'    => 'pp-bear-bed-enable',

      'type'  => 'switcher',

      'title' => 'Bear Bed Enable'

    ),    

    array(

      'id'        => 'pp-bear-bed-sec-title',

      'type'      => 'text',

      'title'     => 'Section Title',

      'dependency'  => array('pp-bear-bed-enable', '==' , true),

    ),

    array(

      'id'    =>  'pp-bear-bed-repeater',

      'title' =>  'Bear Bed Contents',

      'type'  =>  'group',

      'fields' => array(

        array(

          'id'        => 'pp-bear-bed-image',

          'type'      => 'media',

          'title'     => 'Image',

          'library'   => 'image',

        ),

      ),

      'dependency' => array('pp-bear-bed-enable', '==', 'true'),

    ),



  )

) );



/**

 * Related Product Section

 */

CSF::CreateSection( $product_opts, array(

  'title' => 'Related Product Section',

  'icon'  => 'fa fa-align-justify',

  'fields'=> array(

    array(

      'id'    => 'pp-related-product-enable',

      'type'  => 'switcher',

      'title' => 'Related Product Enable'

    ),

    array(

      'id'    =>  'pp-related-product-repeater',

      'title' =>  'Related Product',

      'type'  =>  'group',

      'fields' => array(

        array(

          'id'        => 'pp-related-product-image',

          'type'      => 'media',

          'title'     => 'Image',

          'library'   => 'image',

        ),

        array(

          'id'        => 'pp-related-product-title',

          'type'      => 'text',

          'title'     => 'Title',

        ),

        array(

          'id'        => 'pp-related-product-desc',

          'type'      => 'wp_editor',

          'title'     => 'Description',          

          'media_buttons' => false,

        ),

        array(

          'id'        => 'pp-related-product-link-label',

          'type'      => 'text',

          'title'     => 'Link Label',

        ),

        array(

          'id'        => 'pp-related-product-link-url',

          'type'      => 'text',

          'title'     => 'Link URL',

        ),



      ),

      'dependency' => array('pp-related-product-enable', '==', 'true'),

    ),



  )

) );



/**

 * Quality Trust Section

 */

CSF::CreateSection( $product_opts, array(

  'title' => 'Quality Trust Section',

  'icon'  => 'fa fa-align-justify',

  'fields'=> array(

    array(

      'id'    => 'pp-quality-trust-enable',

      'type'  => 'switcher',

      'title' => 'Quality Trust Enable'

    ),

    array(

      'id'        => 'pp-quality-trust-sec-title',

      'type'      => 'text',

      'title'     => 'Section Title',

      'dependency' => array('pp-quality-trust-enable', '==', 'true'),

    ),

    array(

      'id'    =>  'pp-quality-trust-repeater',

      'title' =>  'Quality Trust',

      'type'  =>  'group',

      'fields' => array(

        array(

          'id'        => 'pp-quality-trust-image',

          'type'      => 'media',

          'title'     => 'Image',

          'library'   => 'image',

        ),

        array(

          'id'        => 'pp-quality-trust-title',

          'type'      => 'text',

          'title'     => 'Title',

        ),

        array(

          'id'        => 'pp-quality-trust-desc',

          'type'      => 'wp_editor',

          'title'     => 'Description',          

          'media_buttons' => false,

        ),

        array(

          'id'        => 'pp-quality-trust-link-label',

          'type'      => 'text',

          'title'     => 'Link Label',

        ),

        array(

          'id'        => 'pp-quality-trust-link-url',

          'type'      => 'text',

          'title'     => 'Link URL',

        ),



      ),

      'dependency' => array('pp-quality-trust-enable', '==', 'true'),

    ),



  )

) );



/**

 * Nutritional Section

 */

CSF::CreateSection( $product_opts, array(

  'title' => 'Nutritional Section',

  'icon'  => 'fa fa-align-justify',

  'fields'=> array(

    array(

      'id'    => 'pp-nutritional-enable',

      'type'  => 'switcher',

      'title' => 'Nutritional Section Enable'

    ),

    array(

      'id'        => 'pp-nutritional-sec-title',

      'type'      => 'text',

      'title'     => 'Section Title',

      'dependency' => array('pp-nutritional-enable', '==', 'true'),

    ),

    array(

      'id'        => 'pp-nutritional-image',

      'type'      => 'media',

      'title'     => 'Image',

      'library'   => 'image',

      'dependency' => array('pp-nutritional-enable', '==', 'true'),

    ),

    array(

      'id'        => 'pp-nutritional-desc',

      'type'      => 'wp_editor',

      'title'     => 'Description',          

      'media_buttons' => false,

      'dependency' => array('pp-nutritional-enable', '==', 'true'),

    ),



  )

) );



/**

 * FAQ Section

 */

CSF::CreateSection( $product_opts, array(

  'title' => 'FAQ Section',

  'icon'  => 'fa fa-align-justify',

  'fields'=> array(

    array(

      'id'    => 'pp-faq-enable',

      'type'  => 'switcher',

      'title' => 'FAQ Enable'

    ),

    array(

      'id'        => 'pp-faq-sec-title',

      'type'      => 'text',

      'title'     => 'Section Title',

      'dependency' => array('pp-faq-enable', '==', 'true'),

    ),

    array(

      'id'    =>  'pp-faq-repeater',

      'title' =>  'FAQ Contents',

      'type'  =>  'group',

      'fields' => array(

        array(

          'id'        => 'pp-faq-title',

          'type'      => 'text',

          'title'     => 'Title',

        ),

        array(

          'id'        => 'pp-faq-desc',

          'type'      => 'wp_editor',

          'title'     => 'Description',          

          'media_buttons' => false,

        ),



      ),

      'dependency' => array('pp-faq-enable', '==', 'true'),

    ),



  )

) );

