<?php

$shop_page_opts = 'shoppage_options';

CSF::createMetabox( $shop_page_opts, array(

  'title'           => 'SBG : Shop Content',

  'post_type'       => 'page',

  'page_templates'  => 'templates/shoppage.php',

  //'data_type'       => 'unserialize',  //default is serialize

  'priority'        => 'high',

  'theme'           => 'light',

) );



/**

 * Shop section

 */

CSF::createSection( $shop_page_opts, array(
  'title'  => 'Shop Section',
  'icon'   => 'fa fa-diamond',
  'fields' => array(   
    array(
      'id'          =>  'hp-shop-enable',
      'type'        =>  'switcher',
      'title'       =>  'Enable Section',
    ), 
    array(
        'id'      => 'shop-page-title',
        'type'    => 'wp_editor',
        'title'   => 'Shop Page Title',
    ),
    array(
      'id'      =>  'hp-shop-content-repeater',
      'title'   =>  'Best Lists',
      'type'    =>  'group',
      'fields'  => array(
        
        array(
          'id'        => 'hp-shop-title',
          'type'      => 'text',
          'title'     => 'Title',
        ),
/*        array(
          'id'    => 'hp-shop-bg-color',
          'type'  => 'color',
          'title' => 'Background Color',
        ),*/
        array(
          'id'        => 'hp-shop-image',
          'type'      => 'media',
          'title'     => 'Image',
          'library'   => 'image',
        ),   
        array(
          'id'        => 'hp-shop-desc',
          'type'      => 'wp_editor',
          'title'     => 'Description',
        ),
        array(
          'id'        => 'hp-shop-active-mg',
          'type'      => 'text',
          'title'     => 'Active Mg Title',
        ),
        array(
          'id'        => 'hp-shop-active-mg-desc',
          'type'      => 'text',
          'title'     => 'Active Mg Desc',
        ),
        array(
          'id'        => 'hp-shop-highlights',
          'type'      => 'text',
          'title'     => 'Highlight Title',
        ),
        array(
          'id'        => 'hp-shop-highlights-desc',
          'type'      => 'text',
          'title'     => 'Highlight Desc',
        ),
        array(
          'id'        => 'hp-shop-strength',
          'type'      => 'text',
          'title'     => 'Strength Title',
        ),
        array(
          'id'        => 'hp-shop-nested-image',
          'type'      => 'media',
          'title'     => 'Icon',
          'library'   => 'image',
        ),        
        array(
          'id'        => 'hp-shop-group-nested',
          'type'      => 'group',
          'title'     => 'Rating',
          'fields'    => array(
            array(
              'id'    => 'hp-shop-nested-strength',
              'type'  => 'text',
              'title' => 'Text',
            ),
            array(
              'id'    => 'hp-shop-nested-rating',
              'type'  => 'number',
              'title' => 'Rating',
            ),
          ),
        ),        
        array(
          'id'        => 'hp-shop-catalog-label',
          'type'      => 'text',
          'title'     => 'Button Label',
        ),
        array(
          'id'        => 'hp-shop-catalog-url',
          'type'      => 'text',
          'title'     => 'Button URL',
        ),
        array(
          'id'        => 'hp-shop-class',
          'type'      => 'text',
          'title'     => 'Extra Class',
        ),

      ),
      'dependency' => array('hp-shop-enable', '==', 'true'),
    ),  
  )

) );