<?php

/**

 * Popular Style Widget.

 *

 * @package Sleepy Beer

 */

function sleepybeer_action_popular() {

  register_widget( 'SleepyBeer_Popular' );

}

add_action( 'widgets_init', 'sleepybeer_action_popular' );

class SleepyBeer_Popular extends WP_Widget{ 

	function __construct() {

		global $control_ops;

		$widget_ops = array(

		  'classname'   => 'popular-posts',

		  'description' => esc_html__( 'Add Widget to Display Popular Style Widget.', 'sleepy-beer' )

		);

		parent::__construct( 'sleepybeer_popular',esc_html__( 'Sleepy Beer Sidebar: Popular', 'sleepy-beer' ), $widget_ops, $control_ops );

	}

	function form( $instance ) {

		$instance = wp_parse_args( (array) $instance, 

			array( 

			  'title'			=> esc_html__( 'Popular', 'sleepy-beer' ),

			  'number'          => 4, 

			) 

		);

		$title     = isset( $instance['title'] ) ? esc_html( $instance['title'] ) : esc_html__( 'Feature Slider', 'sleepy-beer' );	

		

		$number    			= isset( $instance['number'] ) ? absint( $instance['number'] ) : 4;   

		

	?>

	    <p>

	    	<label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php echo esc_html__( 'Title:', 'sleepy-beer' ); ?></label>

	    	<input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" type="text" value="<?php echo esc_attr($title); ?>" />

		</p>	

		

	    <p>

	    	<label for="<?php echo esc_attr($this->get_field_id( 'number' )); ?>">

	    		<?php echo esc_html__( 'Choose Number', 'sleepy-beer' );?>    		

	    	</label>

	    	<input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'number' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'number' )); ?>" type="number" step="1" min="1" value="<?php echo esc_attr($number); ?>" max="10" />

	    </p>

	  	    	    	    

    <?php

    }

	function update( $new_instance, $old_instance ) {

		$instance = $old_instance;

		$instance['title'] 				= sanitize_text_field( $new_instance['title'] );		

		$instance['number'] 			= (int) $new_instance['number'];		

		return $instance;

	}

    function widget( $args, $instance ) {

    	extract( $args );   

    	$title 				= ( ! empty( $instance['title'] ) ) ? esc_html($instance['title']) :'';

        $number 			= ( ! empty( $instance['number'] ) ) ? absint( $instance['number'] ) : 4;

        echo $before_widget;

        ?>

    	<?php if ( !empty( $title ) ): ?>            

            <h3 class="widget-title"><span><?php echo esc_html( $title );?></span></h3>

        <?php endif; ?>	        		    

        <?php $args = array(

            'posts_per_page' => absint( $number ),

            'post_type' => 'post',

            'post_status' => 'publish',

	       	'meta_key' => 'post_views_count',

			'orderby' => 'meta_value_num',

			'order' => 'DESC',

        );      

        $the_query = new WP_Query( $args ); 



        if ($the_query->have_posts()) : $count= 0; 

        	while ( $the_query->have_posts() ) : $the_query->the_post(); $count++; ?>

                    <article class="featured-post post hentry category-featured">

                    	<?php if ( has_post_thumbnail() ){ ?>

	                        <figure class="featured-post-image">

	                            <?php the_post_thumbnail( 'full' );?>

	                        </figure>

                        <?php } ?>

                        <div class="post-content">                            

                            <header class="entry-header">

                                <h5 class="entry-title">

                                    <a href="<?php the_permalink();?>"><?php the_title();?></a>

                                </h5>

                            </header>

                            <?php if ( true == $show_post_meta): ?>

		                        <div class="entry-meta">

			                        <?php sleepybeargummies_posted_on(); ?>	

		                        </div>

	                        <?php endif; ?>

                    	</div>

                    </article>

                <?php endwhile;

                wp_reset_postdata(); 

            endif;?>

        <?php echo $after_widget;

    } 

}