<?php
/*
Template Name: Shop Page
*/
get_header();
?>
<div id="primary" class="content-area">
	<main id="main" class="site-main" role="main">
		<?php 
		$shoppage_meta  = get_post_meta( get_the_id (), 'shoppage_options', true );
		$hp_shop_enable = $shoppage_meta['hp-shop-enable'];
		$shop_page_title = $shoppage_meta['shop-page-title'];
		$repeater = $shoppage_meta['hp-shop-content-repeater'];
		if( $hp_shop_enable == true ):
			if( !empty( $repeater ) ):
				$i = 0; ?>	
				<?php foreach ( $repeater as $key => $value ):
				$bg_color = $value['hp-shop-bg-color'];
				$image_id = $value['hp-shop-image'];
				$class = $value['hp-shop-class'];
				$desc = $value['hp-shop-desc'];
				$title = $value['hp-shop-title'];
				$button_url = $value['hp-shop-catalog-url'];
				$button_label = $value['hp-shop-catalog-label'];
				$active_mg = $value['hp-shop-active-mg'];
				$active_mg_dec = $value['hp-shop-active-mg-desc'];
				$highlights = $value['hp-shop-highlights'];
				$strength = $value['hp-shop-strength'];
				$nested = $value['hp-shop-group-nested'];
				$nested_image = $value['hp-shop-nested-image'];
				$highlights_dec = $value['hp-shop-highlights-desc']; ?>
					<section class="shop-section-wrapper <?php echo $class; ?>" >
						<div class="container">
							<?php if ( $i == 0 ): ?>
								<h2 class="shop-page-title"><?php echo  $shop_page_title;?></h2>
							<?php endif; ?>
							<article class="night-time-Melatonin post">	
							    <div class="product-detail">
							       <div class="box-content">
							        <figure class="featured-image box-content-wrap">
							            <a href="<?php echo $button_url;?>">
							                <img src="<?php echo $image_id['url']; ?>" >
							            </a>
							        </figure>
							       </div>
							       	<div class="entry-content desktop-only">
							       		<?php echo wpautop($desc); ?>
							       	</div>	

							    </div>
							    <div class="dose-detail">
							        <div class="box-content">
							            <div class="box-content-wrap">
							                <header class="post-header">
							                    <h3><?php echo $title; ?></h3>
							                </header>
							                <p><span><?php echo $active_mg; ?></span><?php echo $active_mg_dec; ?></p>
							                <p><span><?php echo $highlights; ?></span><?php echo $highlights_dec; ?></p>
							                <div class="strength">
							                	<p><span><?php echo $strength; ?></span></p>
							                	<?php foreach ( $nested as $key => $nested_value ): 
						                			$nested_text = $nested_value['hp-shop-nested-strength'];
						                			$nested_rating = $nested_value['hp-shop-nested-rating'];
						                			

						                			?>
						                			<div class="rating-title">		
						                				<div class="rating-icon"><?php for ($x = 1; $x <= $nested_rating ; $x++) {?>
						                				<img src="<?php echo $nested_image['url']; ?>" >
						                				<?php } ?>
														</div>
						                				<div class="rating-title"><p>	<?php echo $nested_text; ?></p></div>
					                				</div>
							                	<?php endforeach; ?>		
							                </div>
							            </div>
							        </div>
									<div class="entry-content mobile-only" style="display:none">
							       		<?php echo wpautop($desc); ?>
							       	</div>	
							        <a href="<?php echo $button_url; ?>" class="box-button"><?php echo $button_label; ?></a>
							    </div>
							</article>
						</div>
					</section>
				<?php $i++;
				endforeach; ?>		 
		 	<?php endif; 
		endif; ?>
		<section class="trust-pilot-section">
            <div class="container">
                <div class="box-content">
                    <div class="box-content-wrap">
                        <header class="entry-header heading">
                        <h2 class="entry-title">What our customers say</h2>
                        </header>
                        <div class="trust-info-wrapper">
                            <div class="trustpilot-widget" data-locale="en-US" data-template-id="5763bccae0a06d08e809ecbb" data-businessunit-id="5f176b433778a1000167e127" data-style-height="700px" data-style-width="100%" data-theme="light" data-sku="1001-1,1001-3,1001,TRUSTPILOT_SKU_VALUE_33785838665787,TRUSTPILOT_SKU_VALUE_4160" data-name="Nighttime Gummy (CBD/CBN/Melatonin) - 30 Count Box" data-review-languages="en" data-star-color="#6865A2" data-no-reviews="hide">
								<a href="https://www.trustpilot.com/review/sleepybeargummies.com" target="_blank" rel="noopener">Trustpilot</a>
							</div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- .trust-pilot-section end -->
	</main>
</div>
<?php get_footer();