<?php

/**

 * Functions which enhance the theme by hooking into WordPress

 *

 * @package Sleepybeargummies

 */



/**

 * Adds custom classes to the array of body classes.

 *

 * @param array $classes Classes for the body element.

 * @return array

 */

function sleepybeargummies_body_classes( $classes ) {

	// Adds a class of hfeed to non-singular pages.

	if ( ! is_singular() ) {

		$classes[] = 'hfeed';

	}



	// Adds a class of no-sidebar when there is no sidebar present.

	if ( ! is_active_sidebar( 'sidebar-1' ) ) {

		$classes[] = 'no-sidebar';

	}



	return $classes;

}

add_filter( 'body_class', 'sleepybeargummies_body_classes' );



/**

 * Add a pingback url auto-discovery header for single posts, pages, or attachments.

 */

function sleepybeargummies_pingback_header() {

	if ( is_singular() && pings_open() ) {

		printf( '<link rel="pingback" href="%s">', esc_url( get_bloginfo( 'pingback_url' ) ) );

	}

}

add_action( 'wp_head', 'sleepybeargummies_pingback_header' );



/* add svg support on theme */

function cc_mime_types($mimes) {

	$mimes['svg'] = 'image/svg+xml';

	return $mimes;

}

add_filter('upload_mimes', 'cc_mime_types');



/* Inline script printed out in the header */

function sleepybeargummies_add_script_wp_head() {

	$header_javascript 	= get_theme_option('header-javascript-editor');

	echo $header_javascript;

}

add_action('wp_head', 'sleepybeargummies_add_script_wp_head');



//year shortcode on the editor

function sleepybeargummies_year_shortcode() {

  $year = date('Y');

  return $year;

}

add_shortcode('year', 'sleepybeargummies_year_shortcode');