<?php
if ( ! defined( 'ABSPATH' )  ) { die; } // Cannot access pages directly.

add_filter( 'woocommerce_product_tabs', 'woo_remove_product_tabs', 98 );
function woo_remove_product_tabs( $tabs ) {
    unset( $tabs['description'] );          // Remove the description tab
    unset( $tabs['reviews'] );          // Remove the reviews tab
    unset( $tabs['additional_information'] );   // Remove the additional information tab
    return $tabs;
}

/**
* add remove action hook related to woocommerce
* see template-tags.php for output function
*/
function add_remove_sleepybeargummies_woo_related_stuff(){
    //remove related product
    remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_output_related_products', 20 );

    //adding extra section on the product page
    //add_action( 'woocommerce_after_single_product_summary', 'sleepybeargummies_woocommerce_single_page', 25 );
    //add_action( 'woocommerce_after_single_product', 'sleepybeargummies_woocommerce_single_page', 5 );
    add_action( 'woocommerce_after_main_content', 'sleepybeargummies_woocommerce_single_page', 35 );

    //remove sidebar
    remove_action( 'woocommerce_sidebar', 'woocommerce_get_sidebar', 10 );

    //remove sorting
    remove_action( 'woocommerce_before_shop_loop', 'woocommerce_catalog_ordering', 30 );
    //Remove “Showing all X results”
    remove_action( 'woocommerce_before_shop_loop', 'woocommerce_result_count', 20 );

    //add_action( 'woocommerce_before_single_product_summary', 'sleepybeargummies_woocommerce_start_div', 5 );
    //add_action( 'woocommerce_after_single_product_summary', 'sleepybeargummies_woocommerce_end_div', 25 );

    add_action( 'woocommerce_before_main_content', 'sleepybeargummies_woocommerce_start_div', 25 );
    add_action( 'woocommerce_sidebar', 'sleepybeargummies_woocommerce_end_div', 25 );

}
add_action( 'init', 'add_remove_sleepybeargummies_woo_related_stuff', 10 );


/* for woocommerce */
if ( ! function_exists( 'sleepybeargummies_woocommerce_single_page' ) ) {
    function sleepybeargummies_woocommerce_single_page() { 
        $product_meta  = get_post_meta( get_the_id (), 'product_options', true );
        $pp_bear_bed_enable         = $product_meta['pp-bear-bed-enable'];
        $pp_related_product_enable  = $product_meta['pp-related-product-enable'];
        $pp_quality_trust_enable    = $product_meta['pp-quality-trust-enable'];
        $pp_nutritional_enable      = $product_meta['pp-nutritional-enable'];
        $pp_faq_enable              = $product_meta['pp-faq-enable'];
        ?>
        
        <?php if( !empty( $pp_bear_bed_enable )):
            $pp_bear_bed_sec_title  = $product_meta['pp-bear-bed-sec-title'];
            $pp_bear_bed_repeater   = $product_meta['pp-bear-bed-repeater'];
            ?>
            <!-- .sleepy-bear-bed-section start -->
            <section class="sleepy-bear-bed-section">
                <div class="container">
                    <header class="entry-header heading">
                        <h2 class="entry-title"><?php echo $pp_bear_bed_sec_title;?></h2>
                    </header>
                    <div class="box-content">
                        <div class="box-content-wrap sleepy-bear-bed-item-wrap">
                            <?php foreach ( $pp_bear_bed_repeater as $key => $value ):
                                $pp_bear_bed_image  = $value['pp-bear-bed-image'];
                                ?>
                                <figure class="featured-image">
                                    <img src="<?php echo $pp_bear_bed_image['url']; ?>" >
                                </figure>
                            <?php endforeach; ?>
                        </div>
                    </div>
                </div>
            </section>
            <!-- .sleepy-bear-bed-section end -->
        <?php endif; ?>

        <?php if( !empty( $pp_related_product_enable )): 
            $pp_related_product_repeater    = $product_meta['pp-related-product-repeater'];
            ?>
            <!-- .related-product-section start -->
            <section class="related-product-section">
                <div class="container">
                    <div class="related-product-item-wrapper">
                        <?php foreach ( $pp_related_product_repeater as $key => $value ):
                            $pp_related_product_image   = $value['pp-related-product-image'];
                            $pp_related_product_title   = $value['pp-related-product-title'];
                            $pp_related_product_desc    = $value['pp-related-product-desc'];
                            $pp_related_product_link_label  = $value['pp-related-product-link-label'];
                            $pp_related_product_link_url    = $value['pp-related-product-link-url'];
                            ?>
                            <div class="related-product-item box-content">
                                <div class="box-content-wrap">
                                    <figure class="featured-image">
                                        <img src="<?php echo $pp_related_product_image['url'];?>" alt="<?php echo $pp_related_product_title; ?>">
                                    </figure>
                                    <div class="related-product-item-info">
                                        <h3><?php echo $pp_related_product_title; ?></h3>
                                        <?php echo wpautop( $pp_related_product_desc );?>
                                        <?php if( !empty( $pp_related_product_link_url ) ): ?>
                                            <p><a href="<?php echo $pp_related_product_link_url; ?>"><?php echo $pp_related_product_link_label; ?></a></p>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>
                        <?php endforeach; ?>
                    </div>
                </div>
            </section>
            <!-- .related-product-section end-->
        <?php endif; ?>

        <?php if( !empty( $pp_quality_trust_enable )): 
            $pp_quality_trust_sec_title = $product_meta['pp-quality-trust-sec-title'];
            $pp_quality_trust_repeater  = $product_meta['pp-quality-trust-repeater'];
            ?>
            <!-- .quality-trust-section start -->
            <section class="quality-trust-section">
                <div class="container">
                    <div class="box-content">
                        <div class="box-content-wrap">
                            <header class="entry-header heading">
                                <h2 class="entry-title"><?php echo $pp_quality_trust_sec_title; ?></h2>
                            </header>
                            <div class="quality-trust-item-wrapper">
                                <?php foreach ( $pp_quality_trust_repeater as $key => $value ):
                                    $pp_quality_trust_image     = $value['pp-quality-trust-image'];
                                    $pp_quality_trust_title     = $value['pp-quality-trust-title'];
                                    $pp_quality_trust_desc      = $value['pp-quality-trust-desc'];
                                    $pp_quality_trust_link_label    = $value['pp-quality-trust-link-label'];
                                    $pp_quality_trust_link_url      = $value['pp-quality-trust-link-url'];
                                    ?>
                                    <div class="quality-trust-item">
                                        <figure class="featured-image">
                                            <img src="<?php echo $pp_quality_trust_image['url'];?>" alt="<?php echo $pp_quality_trust_title;?>">
                                        </figure>
                                        <div class="quality-trust-item-info">
                                            <h3><?php echo $pp_quality_trust_title;?></h3>
                                            <?php echo wpautop( $pp_quality_trust_desc );?>
                                            <?php if( !empty( $pp_quality_trust_link_url )): ?>
                                                <p><a href="<?php echo $pp_quality_trust_link_url; ?>"><?php echo $pp_quality_trust_link_label; ?></a></p>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                <?php endforeach; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
            <!-- .quality-trust-section ends -->
        <?php endif; ?>

        <?php if( !empty( $pp_nutritional_enable )): 
            $pp_nutritional_sec_title   = $product_meta['pp-nutritional-sec-title'];
            $pp_nutritional_image       = $product_meta['pp-nutritional-image'];
            $pp_nutritional_desc        = $product_meta['pp-nutritional-desc'];
            ?>
            <!-- .nutritional-section start -->
            <section class="nutritional-section">
                <div class="container">
                    <div class="box-content">
                        <div class="box-content-wrap">
                            <header class="entry-header heading">
                                <h2 class="entry-title"><?php echo $pp_nutritional_sec_title; ?></h2>
                            </header>
                            <div class="nutritional-info-wrapper">
                                <figure>
                                    <img src="<?php echo $pp_nutritional_image['url'];?>" >
                                </figure>
                                <h3>How to Take:</h3>
                                <?php echo wpautop( $pp_nutritional_desc );?>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
            <!-- .nutritional-section end -->
        <?php endif; ?>

        <?php if( !empty( $pp_faq_enable )): 
            $pp_faq_sec_title   = $product_meta['pp-faq-sec-title'];
            $pp_faq_repeater    = $product_meta['pp-faq-repeater'];
            ?>
            <!-- .faq-section start -->
            <section class="faq-section">
                <div class="container">
                    <div class="box-content">
                        <div class="box-content-wrap">
                            <header class="entry-header heading">
                                <h2 class="entry-title"><?php echo $pp_faq_sec_title; ?></h2>
                            </header>
                            <div class="faq-info-wrapper">
                                <?php foreach ( $pp_faq_repeater as $key => $value ):
                                    $pp_faq_title   = $value['pp-faq-title'];
                                    $pp_faq_desc    = $value['pp-faq-desc'];
                                    ?>
                                    <h3><?php echo $pp_faq_title; ?></h3>
                                    <?php echo wpautop( $pp_faq_desc );?>
                                <?php endforeach; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
            <!-- .faq-section end -->
        <?php endif; ?>

 <!-- .trust-pilot-section start -->
 <section class="trust-pilot-section">
                <div class="container">
                    <div class="box-content">
                        <div class="box-content-wrap">
                            <header class="entry-header heading">
                            <h2 class="entry-title">What our customers say</h2>
                            </header>
                            <div class="trust-info-wrapper">
                                <!-- TrustBox widget - Product Reviews MultiSource SEO -->
<!-- <div class="trustpilot-widget" data-locale="en-US" data-template-id="5763bccae0a06d08e809ecbb" data-businessunit-id="5f176b433778a1000167e127" data-style-height="700px" data-style-width="100%" data-theme="light" data-sku="1001,TRUSTPILOT_SKU_VALUE_4160,1001-5,TRUSTPILOT_SKU_VALUE_33785838665787" data-name="Nighttime Gummy Formula (CBD/CBN/Melatonin) - 30 Count" data-review-languages="en" data-star-color="#786AAF" data-font-family="Poppins" data-link-color="#61CDF6" data-no-reviews="hide">
<a href="https://www.trustpilot.com/review/sleepybeargummies.com" target="_blank" rel="noopener">Trustpilot</a>
</div> -->
<!-- End TrustBox widget -->


<!-- TrustBox widget - Product Reviews MultiSource SEO -->
<div class="trustpilot-widget" data-locale="en-US" data-template-id="5763bccae0a06d08e809ecbb" data-businessunit-id="5f176b433778a1000167e127" data-style-height="700px" data-style-width="100%" data-theme="light" data-sku="1001-1,1001-3,1001,TRUSTPILOT_SKU_VALUE_33785838665787,TRUSTPILOT_SKU_VALUE_4160" data-name="Nighttime Gummy (CBD/CBN/Melatonin) - 30 Count Box" data-review-languages="en" data-star-color="#6865A2" data-no-reviews="hide">
<a href="https://www.trustpilot.com/review/sleepybeargummies.com" target="_blank" rel="noopener">Trustpilot</a>
</div>
<!-- End TrustBox widget -->
                            </div>
                        </div>
                    </div>
                </div>
            </section>
            <!-- .trust-pilot-section end -->

    

    

<?php }
}


if ( ! function_exists( 'sleepybeargummies_woocommerce_start_div' ) ) {
    function sleepybeargummies_woocommerce_start_div() { 
        echo '<section class="product-info-wrapper">';
        echo '<div class="container">';

    }
}   

if ( ! function_exists( 'sleepybeargummies_woocommerce_end_div' ) ) {
    function sleepybeargummies_woocommerce_end_div() { 
        echo '</div>';
        echo '</section>';      

    }
}   




add_action( 'woocommerce_product_meta_end', 'sleepybeargummies_woocommerce_product_meta_end' );

function sleepybeargummies_woocommerce_product_meta_end(){
    $shoppage_meta  = get_post_meta( get_the_id (), 'product_options', true );
    $product_text = $shoppage_meta['product-single-page'];
    if( $product_text ):
        echo $product_text;

    endif;
}
add_action( 'woocommerce_proceed_to_checkout', 'sleepybeargummies_woocommerce_proceed_to_checkout' );

function sleepybeargummies_woocommerce_proceed_to_checkout(){
    $product_text     = get_theme_option('product-text');
    if( $product_text ):
        echo $product_text;
    endif;
}


