<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Sleepybeargummies
 */

get_header();
?>
<div class="container">
    <div class="row">
        <div class="custom-col-8">
        	<div id="primary" class="content-area">
	            <main id="main" class="site-main">
	                <!-- .page-title-wrap-->
	                <div class="blog-warapper">		                	
	                    <section class="page-info-content-section">
	                    	<?php
	                    	while ( have_posts() ) : the_post();
	                    		setPostViews(get_the_ID());?>

                            <div class="blog-post-image">
                            	<?php if( has_post_thumbnail() ): ?>
                                    <figure class="featured-image">
                                       <?php the_post_thumbnail('full'); ?>
                                    </figure>
                            	<?php endif; ?>
                                <div class="post-title-wrapper">
                                    <div class="post-category">
                                    	<?php sleepybeargummies_entry_footer(); ?>
                                    </div>

                                    <div class="entry-header">
                                        <div class="entry-title">
                                        	<h3><?php the_title(); ?> </h3>
                                        </div>
                                    </div>

                                    <div class="entry-meta">
                                    	<span class="cat-links">by Sleepy Bear Gummies</span>
                                    	<?php sleepybeargummies_posted_on(); ?>
                                    </div>
                                </div>
                            </div>

                            <div class="entry-content">
                               <?php the_content(); ?>
                            </div>

                            <section class="posts">
                            	<div class="entry-header">
	                                <div class="entry-title">
	                                    <h2>related posts</h2>
	                                </div>
                            	</div>
                                
                                <div class="posts-content">
                                	<?php
			                        $args = array(
										'fields'=>'ids'
										);
									$related_catId = wp_get_post_categories( get_the_ID(), $args );

									$args = array(
										'post_type' => 'post',
										'posts_per_page' => 4,
										'post_status' => 'publish',
										'category__in' => $related_catId,		
										'post__not_in'  =>array(get_the_ID())
									);
									$related_posts = new WP_Query($args);
			                    	while ($related_posts->have_posts()) : $related_posts->the_post();
			                    		?>
                                        <div class="custom-col-6">
                                            <figure>
                                               <?php the_post_thumbnail(); ?>
                                            </figure>
                                            <div class="item-description">
                                                <p><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></p>

                                                <div class="entry-meta">
                                                	<?php sleepybeargummies_posted_on(); ?>
                                                </div>
                                            </div>
                                        </div>
                                        <?php
                                    endwhile;
                                    wp_reset_postdata();?>
                                </div>
                            </section>

                            <div class="pagination">
                                <div class="container">
                                    <div class="row">

                                        <div class="custom-col-6 previous">
                                            <div class="prev-next">
                                                <a class="read-more">Previous</a>
                                            </div>
                                            <?php
                                            $prev_post = get_previous_post();
                                            if( !empty($prev_post) ):
                                            ?>
                                            <div class="entry-header">
                                                <div class="entry-title">
                                                    <h5><a href="<?php echo get_site_url().'/'.$prev_post->post_name.'/';?>"><?php echo $prev_post->post_title ?></a></h5>
                                                </div>
                                            </div>
                                            <?php endif; ?>                                             
                                        </div>

                                        <div class="custom-col-6 next">
                                            <div class="prev-next">
                                                <a class="read-more">next</a>
                                            </div>
                                            <?php  $next_post = get_next_post(); 
                                            if( !empty( $next_post ) ):
                                            ?>
                                            <div class="entry-header">
                                                <div class="entry-title">
                                                    <h5><a href="<?php echo get_site_url().'/'.$next_post->post_name.'/';?>"><?php echo $next_post->post_title ?></a></h5>
                                                </div>
                                            </div> 
                                        	<?php endif; ?>
                                        </div>

                                    </div>
                                </div>
                            </div>

                            <?php endwhile; ?>
	                    </section>
	                	
	                </div>
	            </main>
            	<!-- #main-->
            </div>
    	</div>    

    	<div id="secondary" class="custom-col-4 widget-area">
		<?php get_sidebar(); ?>
		</div>    
	</div>
</div>
<?php 

get_footer();