<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Sleepybeargummies
 */
?>
<article id="post post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php if( has_post_thumbnail()): ?>
		<figure class="featured-image">
		  	<?php the_post_thumbnail(); ?>
		</figure>
	<?php endif; ?>
	<div class="post-content-wrap">
		<?php if ( 'post' === get_post_type() && !is_singular() ) :
			?>
			<div class="entry-meta a">
  				<?php sleepybeargummies_entry_footer(); ?>
  				<?php //echo '/'; ?>
  				<?php //sleepybeargummies_posted_on(); ?>
			</div><!-- .entry-meta -->
		<?php endif; ?>
		<?php 
			if ( is_singular() ) :
				the_title( '<h3 class="entry-title">', '</h3>' );
			else :
				the_title( '<h3 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h3>' );
			endif;
		?>
		<?php if ( 'post' === get_post_type() && !is_singular() ) :
			?>
			<div class="entry-meta b">
				<?php // sleepybeargummies_posted_on(); ?> <?php // sleepybeargummies_posted_by(); ?>
			</div><!-- .entry-meta -->
		<?php endif; ?>

		<?php if ( 'post' === get_post_type() && is_singular() ) :
			?>
			<div class="entry-meta c">
				<?php // sleepybeargummies_posted_on(); ?> <?php // sleepybeargummies_posted_by(); ?> <?php // sleepybeargummies_entry_footer(); ?>
			</div><!-- .entry-meta -->
		<?php endif; ?>

		<?php 
			if ( !is_singular() ) :
			//	echo sleepybeargummies_excerpt();
				echo '<a class="read-more" href="'.esc_url( get_permalink() ).'">READ MORE</a>';
			endif;			
		?>
	</div>
	<?php if( is_singular( 'post' )): ?>
		<div class="entry-content">
			<?php
			the_content( sprintf(
				wp_kses(
					/* translators: %s: Name of current post. Only visible to screen readers */
					__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'sleepybeargummies' ),
					array(
						'span' => array(
							'class' => array(),
						),
					)
				),
				get_the_title()
			) );

			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'sleepybeargummies' ),
				'after'  => '</div>',
			) );
			?>
		</div><!-- .entry-content -->
	<?php endif; ?>
</article><!-- #post-<?php the_ID(); ?> -->
