<?php
/*
Template Name: Home Page
*/
get_header();
?>
<div id="primary" class="content-area">
    <main id="main" class="site-main">
        <?php 
            $homepage_meta  = get_post_meta( get_the_id (), 'homepage_options', true );
            $hp_banner_enable               = $homepage_meta['hp-banner-enable'];
            $hp_content_below_banner_enable = $homepage_meta['hp-content-below-banner-enable'];
            $hp_meet_team_enable            = $homepage_meta['hp-meet-team-enable'];
            $hp_best_enable                 = $homepage_meta['hp-best-enable'];
            $hp_quality_safety_enable       = $homepage_meta['hp-quality-safety-enable'];
            $hp_cta_enable                  = $homepage_meta['hp-cta-enable'];
            $hp_about_us_enable             = $homepage_meta['hp-about-us-enable'];
            $hp_content_product_enable      = $homepage_meta['hp-content-product-enable'];
            $hp_contact_enable              = $homepage_meta['hp-contact-enable'];
            $hp_follow_enable               = $homepage_meta['hp-follow-enable'];
            
            $hp_cta_enable_2                = $homepage_meta['hp-cta-enable-2'];
        ?>

        <!-- banner product part -->
        <?php if( !empty( $hp_banner_enable )): 
            $banner_product = $homepage_meta['hp-banner-product'];
            $product_meta  = get_post_meta( $banner_product, 'product_options', true );
            $product_hp_title   = $product_meta['pp-product-title'];
            $product_sub_title  = $product_meta['pp-product-sub-title'];
            $product_desc_hp    = $product_meta['pp-product-desc-homepage'];
            
            $banner_product_custom_btn_enable = $homepage_meta['hp-banner-custom-btn-enable'];
            ?>
            <section class="banner-section">
                <div class="container">
                    <?php if ( has_post_thumbnail( $banner_product ) ): 
                        $banner_product_img = wp_get_attachment_image_src( get_post_thumbnail_id( $banner_product ), 'full' );
                        ?>
                        <figure class="featured-image">
                            <img src="<?php echo $banner_product_img[0]; ?>" alt="">
                        </figure>
                    <?php endif; ?>
                    <div class="banner-content-wrap">
                        <h1 class="entry-title"><?php echo ( !empty( $product_hp_title )) ? $product_hp_title : get_the_title( $banner_product ); ?></h1>
                        <?php echo ( !empty( $product_sub_title ) ) ? '<h3>'.$product_sub_title.'</h3>' : '';?>
                        <?php //echo apply_filters( 'the_content', get_the_excerpt( $banner_product ) );?>
                        <?php echo wpautop( $product_desc_hp );?>
                        <?php if( !empty( $banner_product_custom_btn_enable ) ):
                            $banner_product_custom_btn_label = $homepage_meta['hp-banner-custom-btn-label'];
                            $banner_product_custom_btn_url   = $homepage_meta['hp-banner-custom-btn-url'];
                            ?>
                            <a href="<?php echo $banner_product_custom_btn_url; ?>" class="box-button"><?php echo ( !empty( $banner_product_custom_btn_label ) ) ? $banner_product_custom_btn_label : 'buy the bear'; ?></a>
                        <?php else:?>
                            <a href="<?php echo get_the_permalink( $banner_product ); ?>" class="box-button">buy the bear</a>
                        <?php endif; ?>
                    </div>
                </div>
            </section>
        <?php endif; ?>

        <!-- .partner-section start -->
        <?php if( !empty( $hp_content_below_banner_enable )): 
            $hp_content_below_banner_repeater   = $homepage_meta['hp-content-below-banner-repeater'];
            ?>
            <section class="partner-section">
                <div class="container">
                    <div class="partner-post-wrap">
                        <?php foreach ( $hp_content_below_banner_repeater as $key => $value ):
                            $hp_content_below_banner_image_id   = $value['hp-content-below-banner-image'];
                            $hp_content_below_banner_desc       = $value['hp-content-below-banner-desc'];
                            $hp_content_below_banner_link_label = $value['hp-content-below-banner-link-label'];
                            $hp_content_below_banner_link_url   = $value['hp-content-below-banner-link-url'];

                            //$hp_content_below_banner_image_src   = sleepybeargummies_image_src ( array ( 'id' => $hp_content_below_banner_image_id['id'], 'size' => 'testimonial-thumb' ) );
                            ?>
                            <article class="post box-content">
                                <div class="box-content-wrap">
                                    <figure class="featured-image">
                                        <a href="<?php echo $hp_content_below_banner_link_url;?>">
                                            <img src="<?php echo $hp_content_below_banner_image_id['url']; ?>" >
                                        </a>
                                    </figure>
                                    <div class="post-content-wrap">
                                        <div class="entry-content">
                                            <?php echo wpautop( $hp_content_below_banner_desc );?>
                                            <p><a href="<?php echo $hp_content_below_banner_link_url;?>"><?php echo $hp_content_below_banner_link_label; ?></a></p>
                                        </div>
                                    </div>
                                </div>
                            </article>
                        <?php endforeach; ?>
                    </div>
                </div>
            </section>
        <?php endif; ?>
        <!-- .partner-section ends -->

        <!-- .shop-section start -->
        <?php if( !empty( $hp_best_enable )): 
            $hp_best_sec_title      = $homepage_meta['hp-best-sec-title'];
            $hp_best_sec_btn_enable = $homepage_meta['hp-best-sec-btn-enable'];
            $hp_best_content_repeater   = $homepage_meta['hp-best-content-repeater'];
            ?>
            <section class="shop-section">
                <div class="container">
                    <header class="entry-header heading">
                        <h2 class="entry-title"><?php echo $hp_best_sec_title; ?></h2>
                        <?php if( !empty( $hp_best_sec_btn_enable )): 
                            $hp_best_sec_btn_label  = $homepage_meta['hp-best-sec-btn-label'];
                            $hp_best_sec_btn_url    = $homepage_meta['hp-best-sec-btn-url'];
                            ?>
                            <a href="<?php echo $hp_best_sec_btn_url; ?>" class="box-button"><?php echo $hp_best_sec_btn_label; ?></a>
                        <?php endif; ?>
                    </header>
                    <?php if( !empty( $hp_best_content_repeater )):?>
                        <div class="shop-post-wrapper">
                            <?php foreach ( $hp_best_content_repeater as $key => $value ):
                                $hp_best_title  = $value['hp-best-title'];
                                $hp_best_image  = $value['hp-best-image'];
                                $hp_best_desc   = $value['hp-best-desc'];
                                $hp_best_url    = $value['hp-best-url'];
                                $hp_best_catalog_label  = $value['hp-best-catalog-label'];
                                $hp_best_catalog_url    = $value['hp-best-catalog-url'];
                                $hp_best_image_src   = sleepybeargummies_image_src ( array ( 'id' => $hp_best_image['id'], 'size' => 'full' ) );
                                ?>
                                <article class="post">
                                    <div class="box-content">
                                        <figure class="featured-image box-content-wrap">
                                            <a href="<?php echo $hp_best_url;?>">
                                                <img src="<?php echo $hp_best_image_src;?>" alt="<?php echo $hp_best_title; ?>">
                                            </a>
                                        </figure>
                                    </div>
                                    <div class="post-content-wrap">
                                        <div class="entry-meta">
                                            <div class="post-cat-list">
                                                <span class="cat-links">
                                                    <a href="<?php echo $hp_best_catalog_url;?>"><?php echo $hp_best_catalog_label; ?></a>
                                                </span>
                                            </div>
                                        </div>
                                        <h3 class="entry-title">
                                            <a href="<?php echo $hp_best_url;?>"><?php echo $hp_best_title; ?></a>
                                        </h3>
                                        <div class="entry-content">
                                            <?php echo wpautop( $hp_best_desc );?>
                                        </div>
                                    </div>
                                </article>
                            <?php endforeach; ?>
                        </div>
                    <?php endif; ?>
                </div>
            </section>
        <?php endif; ?>
        <!-- .shop-section end -->
        
        <!-- .dream-team-section start -->
        <?php if( !empty( $hp_meet_team_enable )):
            $hp_meet_team_sec_title     = $homepage_meta['hp-meet-team-sec-title'];
            $hp_meet_team_sec_desc      = $homepage_meta['hp-meet-team-sec-desc'];
            $hp_meet_team_sec_image     = $homepage_meta['hp-meet-team-sec-image'];
            $hp_meet_team_sec_image_src     = sleepybeargummies_image_src ( array ( 'id' => $hp_meet_team_sec_image['id'], 'size' => 'full' ) );
            $hp_meet_team_sec_image_second  = $homepage_meta['hp-meet-team-sec-image-second'];
            $hp_meet_team_sec_image_second_src  = sleepybeargummies_image_src ( array ( 'id' => $hp_meet_team_sec_image_second['id'], 'size' => 'full' ) );
            
            $hp_meet_team_content_repeater = $homepage_meta['hp-meet-team-content-repeater'];
            ?>
            <section class="dream-team-section">
                <div class="container">
                    <div class="dream-team-wrapper">
                        <div class="dream-team-image-wrapper">
                            <div class="box-content">
                                <figure class="feature-image box-content-wrap">
                                    <img src="<?php echo $hp_meet_team_sec_image_src;?>" alt="<?php echo $hp_meet_team_sec_title; ?>">
                                </figure>
                            </div>
                            <div class="box-content">
                                <figure class="feature-image box-content-wrap">
                                    <img src="<?php echo $hp_meet_team_sec_image_second_src;?>" alt="<?php echo $hp_meet_team_sec_title; ?>">
                                </figure>
                            </div>
                        </div>
                        <div class="dream-team-content-wrapper">
                            <header class="entry-header heading">
                                <h2 class="entry-title"><?php echo $hp_meet_team_sec_title; ?></h2>
                                <?php echo wpautop( $hp_meet_team_sec_desc );?>
                            </header>

                            <?php if( !empty( $hp_meet_team_content_repeater ) ):?>
                                <div class="dream-team-item-wrapper">
                                    <?php foreach ( $hp_meet_team_content_repeater as $key => $value ):
                                        $hp_meet_team_title   = $value['hp-meet-team-title'];
                                        $hp_meet_team_image   = $value['hp-meet-team-image'];
                                        $hp_meet_team_desc    = $value['hp-meet-team-desc'];
                                        $hp_meet_team_btn_label = $value['hp-meet-team-btn-label'];
                                        $hp_meet_team_btn_url   = $value['hp-meet-team-btn-url'];
                                        $hp_meet_team_image_src   = sleepybeargummies_image_src ( array ( 'id' => $hp_meet_team_image['id'], 'size' => 'thumbnail' ) );
                                        ?>
                                        <div class="dream-team-item">
                                            <figure class="featured-image">
                                                <img src="<?php echo $hp_meet_team_image_src;?>" alt="<?php echo $hp_meet_team_title; ?>">
                                            </figure>
                                            <div class="dream-team-item-info">
                                                <h3><?php echo $hp_meet_team_title; ?></h3>
                                                <?php echo wpautop( $hp_meet_team_desc );?>
                                                <?php if( !empty( $hp_meet_team_btn_url )):?>
                                                    <p><a href="<?php echo $hp_meet_team_btn_url;?>"><?php echo $hp_meet_team_btn_label;?></a></p>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                    <?php endforeach; ?>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </section>
        <?php endif; ?>
        <!-- .dream-team-section end -->

        <!-- .quality-section start -->
        <?php if( !empty( $hp_quality_safety_enable )): 
            $hp_quality_safety_sec_title    = $homepage_meta['hp-quality-safety-sec-title'];
            $hp_quality_safety_sec_desc     = $homepage_meta['hp-quality-safety-sec-desc'];
            $hp_quality_safety_sec_image    = $homepage_meta['hp-quality-safety-sec-image'];
            $hp_quality_safety_sec_image_src   = sleepybeargummies_image_src ( array ( 'id' => $hp_quality_safety_sec_image['id'], 'size' => 'full' ) );
            $hp_quality_safety_sec_image_second    = $homepage_meta['hp-quality-safety-sec-image-second'];
            $hp_quality_safety_sec_image_second_src   = sleepybeargummies_image_src ( array ( 'id' => $hp_quality_safety_sec_image_second['id'], 'size' => 'full' ) );

            $hp_quality_safety_content_repeater    = $homepage_meta['hp-quality-safety-content-repeater'];
            ?>
            <section class="quality-section">
                <div class="container">
                    <div class="quality-wrapper">
                        <div class="quality-image-wrapper">
                            <div class="box-content">
                                <figure class="feature-image box-content-wrap">
                                    <img src="<?php echo $hp_quality_safety_sec_image_src; ?>" alt="<?php echo $hp_quality_safety_sec_title; ?>">
                                </figure>
                            </div>
                            <div class="box-content">
                                <figure class="feature-image box-content-wrap">
                                    <img src="<?php echo $hp_quality_safety_sec_image_second_src; ?>" alt="<?php echo $hp_quality_safety_sec_title; ?>">
                                </figure>
                            </div>
                        </div>
                        <div class="quality-content-wrapper">
                            <header class="entry-header heading">
                                <h2 class="entry-title"><?php echo $hp_quality_safety_sec_title; ?></h2>
                                <?php echo wpautop( $hp_quality_safety_sec_desc );?>
                            </header>
                            <?php if( !empty( $hp_quality_safety_content_repeater )): ?>
                                <div class="quality-item-wrapper">
                                    <?php foreach ( $hp_quality_safety_content_repeater as $key => $value ) :
                                        $hp_quality_safety_title    = $value['hp-quality-safety-title'];
                                        $hp_quality_safety_image    = $value['hp-quality-safety-image'];
                                        $hp_quality_safety_desc     = $value['hp-quality-safety-desc'];
                                        $hp_quality_safety_btn_label  = $value['hp-quality-safety-btn-label'];
                                        $hp_quality_safety_btn_url    = $value['hp-quality-safety-btn-url'];

                                        ?>
                                        <div class="quality-item">
                                            <div class="quality-icon-wrap">
                                                <figure class="featured-image">
                                                    <img src="<?php echo $hp_quality_safety_image['url']?>" alt="<?php echo $hp_quality_safety_title; ?>">
                                                </figure>
                                            </div>
                                            <div class="quality-item-info">
                                                <h3><?php echo $hp_quality_safety_title; ?></h3>
                                                <?php echo wpautop( $hp_quality_safety_desc );?>
                                                <p><a href="<?php echo $hp_quality_safety_btn_url; ?>"><?php echo $hp_quality_safety_btn_label;?></a></p>
                                            </div>
                                        </div>
                                    <?php endforeach; ?>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </section>
        <?php endif; ?>
        <!-- .quality-section end -->

        <!-- .call-to-action start -->
        <?php if( !empty( $hp_cta_enable )):
            $hp_cta_image   = $homepage_meta['hp-cta-image'];
            $hp_cta_title   = $homepage_meta['hp-cta-title'];
            $hp_cta_desc    = $homepage_meta['hp-cta-desc'];
            $hp_cta_button_enable   = $homepage_meta['hp-cta-button-enable'];
            $hp_cta_image_src       = sleepybeargummies_image_src ( array ( 'id' => $hp_cta_image['id'], 'size' => 'full' ) );
            ?>
            <section class="call-to-action">
                <div class="container">
                    <div class="call-to-action-content-wrap">
                        <div class="call-to-action-image-wrap box-content">
                            <figure class="featured-image box-content-wrap">
                                <img src="<?php echo $hp_cta_image_src; ?>" alt="">
                            </figure>
                        </div>
                        <header class="entry-header heading">
                            <h2 class="entry-title"><?php echo $hp_cta_title;?></h2>
                            <?php echo wpautop( $hp_cta_desc );?>
                            <?php if( !empty( $hp_cta_button_enable )):
                                $hp_cta_button_label    = $homepage_meta['hp-cta-button-label'];
                                $hp_cta_button_url      = $homepage_meta['hp-cta-button-url'];
                                ?>
                                <a href="<?php echo $hp_cta_button_url; ?>" class="box-button"><?php echo $hp_cta_button_label; ?></a>
                            <?php endif; ?>
                        </header>
                    </div>
                </div>
            </section>
        <?php endif; ?>
        <!-- .call-to-action end -->

        <!-- .home-about-us-section start -->
        <?php if( !empty( $hp_about_us_enable )):
            $hp_about_us_sec_title  = $homepage_meta['hp-about-us-sec-title'];
            $hp_about_us_sec_desc   = $homepage_meta['hp-about-us-sec-desc'];
            $hp_about_us_sec_image  = $homepage_meta['hp-about-us-sec-image'];
            $hp_about_us_sec_image_second   = $homepage_meta['hp-about-us-sec-image-second'];
            $hp_about_us_sec_repeater       = $homepage_meta['hp-about-us-content-repeater'];
            $hp_about_us_sec_image_src      = sleepybeargummies_image_src ( array ( 'id' => $hp_about_us_sec_image['id'], 'size' => 'full' ) );
            $hp_about_us_sec_image_second_src  = sleepybeargummies_image_src ( array ( 'id' => $hp_about_us_sec_image_second['id'], 'size' => 'full' ) );
            ?>
            <section class="home-about-us-section">
                <div class="container">
                    <div class="home-about-us-wrapper">
                        <div class="home-about-us-image-wrapper">
                            <div class="box-content">
                                <figure class="feature-image box-content-wrap">
                                    <img src="<?php echo $hp_about_us_sec_image_src; ?>" alt="<?php echo $hp_about_us_sec_title;?>">
                                </figure>
                            </div>
                            <div class="box-content">
                                <figure class="feature-image box-content-wrap">
                                    <img src="<?php echo $hp_about_us_sec_image_second_src; ?>" alt="<?php echo $hp_about_us_sec_title;?>">
                                </figure>
                            </div>
                        </div>
                        <div class="home-about-us-content-wrapper">
                            <header class="entry-header heading">
                                <h2 class="entry-title"><?php echo $hp_about_us_sec_title; ?></h2>
                                <?php echo wpautop( $hp_about_us_sec_desc );?>
                            </header>
                            <?php if( !empty( $hp_about_us_sec_repeater )):?>
                                <div class="home-about-us-item-wrapper">
                                    <?php foreach ( $hp_about_us_sec_repeater as $key => $value):
                                        $hp_about_us_title  = $value['hp-about-us-title'];
                                        $hp_about_us_image  = $value['hp-about-us-image'];
                                        $hp_about_us_desc   = $value['hp-about-us-desc'];
                                        $hp_about_us_btn_label   = $value['hp-about-us-btn-label'];
                                        $hp_about_us_btn_url     = $value['hp-about-us-btn-url'];
                                        ?>
                                        <div class="home-about-us-item">
                                            <figure class="featured-image">
                                                <img src="<?php echo $hp_about_us_image['url'];?>" alt="<?php echo $hp_about_us_title;?>">
                                            </figure>
                                            <div class="home-about-us-item-info">
                                                <h3><?php echo $hp_about_us_title; ?></h3>
                                                <?php echo wpautop( $hp_about_us_desc );?>
                                                <?php if( !empty( $hp_about_us_btn_url )):?>
                                                    <p><a href="<?php echo $hp_about_us_btn_url;?>"><?php echo $hp_about_us_btn_label; ?></a></p>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                    <?php endforeach; ?>
                                </div>
                            <?php endif;?>
                        </div>
                    </div>
                </div>
            </section>
        <?php endif; ?>
        <!-- .home-about-us-section end -->

        <!-- .featured-product-section start -->
        <?php if( !empty( $hp_content_product_enable ) ):
            $hp_content_product = $homepage_meta['hp-content-product'];
            ?>
            <section class="featured-product-section">
                <div class="container">
                    <div class="featured-product-slider">
                        <?php foreach ( $hp_content_product as $key => $productID ): ?>
                            <div class="featured-product-item-wrap">
                                <div class="featured-product-wrap">
                                    <?php if ( has_post_thumbnail( $productID ) ): 
                                        $banner_product_img = wp_get_attachment_image_src( get_post_thumbnail_id( $productID ), 'full' );
                                        ?>
                                        <figure class="featured-image">
                                            <img src="<?php echo $banner_product_img[0]; ?>" alt="">
                                        </figure>
                                    <?php endif; ?>
                                    <div class="featured-product-content-wrap">
                                        <h2 class="entry-title"><?php echo get_the_title( $productID ); ?></h2>
                                        <!-- <h3>Energy for you Day <br>Relief for your Night</h3> -->
                                        <?php //echo apply_filters( 'the_content', get_the_excerpt( $productID ) );?>
                                        <?php
                                            $featured_product_meta  = get_post_meta( $productID, 'product_options', true );
                                            $featured_product_desc_hp   = $featured_product_meta['pp-product-desc-homepage'];
                                            echo wpautop( $featured_product_desc_hp );
                                        ?>
                                        <a href="<?php echo get_the_permalink( $productID ); ?>" class="box-button">buy now</a>
                                    </div>
                                </div>
                            </div>
                        <?php endforeach;?>
                    </div>
                </div>
            </section>
        <?php endif; ?>
        <!-- .featured-product-section end -->

        <!-- .call-to-action above contact section start -->
        <?php if( !empty( $hp_cta_enable_2 )):
            $hp_cta_image_2   = $homepage_meta['hp-cta-image-2'];
            $hp_cta_title_2   = $homepage_meta['hp-cta-title-2'];
            $hp_cta_desc_2    = $homepage_meta['hp-cta-desc-2'];
            $hp_cta_button_enable_2   = $homepage_meta['hp-cta-button-enable-2'];
            $hp_cta_image_src_2       = sleepybeargummies_image_src ( array ( 'id' => $hp_cta_image_2['id'], 'size' => 'full' ) );
            ?>
            <section class="call-to-action">
                <div class="container">
                    <div class="call-to-action-content-wrap">
                        <div class="call-to-action-image-wrap box-content">
                            <figure class="featured-image box-content-wrap">
                                <img src="<?php echo $hp_cta_image_src_2; ?>" alt="">
                            </figure>
                        </div>
                        <header class="entry-header heading">
                            <h2 class="entry-title"><?php echo $hp_cta_title_2;?></h2>
                            <?php echo wpautop( $hp_cta_desc_2 );?>
                            <?php if( !empty( $hp_cta_button_enable_2 )):
                                $hp_cta_button_label_2    = $homepage_meta['hp-cta-button-label-2'];
                                $hp_cta_button_url_2      = $homepage_meta['hp-cta-button-url-2'];
                                ?>
                                <a href="<?php echo $hp_cta_button_url_2; ?>" class="box-button"><?php echo $hp_cta_button_label_2; ?></a>
                            <?php endif; ?>
                        </header>
                    </div>
                </div>
            </section>
        <?php endif; ?>
        <!-- .call-to-action above contact section end -->
        
        <!-- .home-contact-section start -->
        <?php if( !empty( $hp_contact_enable ) ):
            $hp_contact_sec_title   = $homepage_meta['hp-contact-sec-title'];
            $hp_contact_sec_desc    = $homepage_meta['hp-contact-sec-desc'];
            $hp_contact_sec_image   = $homepage_meta['hp-contact-sec-image'];
            $hp_contact_sec_image_text  = $homepage_meta['hp-contact-sec-image-text'];
            $hp_contact_sec_image_src   = sleepybeargummies_image_src ( array ( 'id' => $hp_contact_sec_image['id'], 'size' => 'full' ) );
            ?>
            <section class="home-contact-section">
                <div class="container">
                    <div class="contact-content-wrapper">
                        <div class="contact-image-wrapper">
                            <div class="box-content">
                                <figure class="featured-image box-content-wrap">
                                    <img src="<?php echo $hp_contact_sec_image_src; ?>" alt="">
                                </figure>
                            </div>
                            <div class="contact-content-text-wrap">
                                <span><?php echo $hp_contact_sec_image_text;?></span>
                            </div>
                        </div>
                        <div class="contact-form-content">
                            <header class="entry-header heading">
                                <h2 class="entry-title"><?php echo $hp_contact_sec_title; ?></h2>
                            </header>
                            <div class="wpcf7">
                                <?php echo apply_filters( 'the_content', $hp_contact_sec_desc );?>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        <?php endif; ?>
        <!-- .home-contact-section end -->

        <!-- .social-link-section start -->
        <?php if( !empty( $hp_follow_enable )): 
            $hp_instagram_feed_shortcode    = $homepage_meta['hp-instagram-feed-shortcode'];
            ?>
            <section class="social-link-section">
                <div class="container">
                    <header class="entry-header heading">
                        <h2 class="entry-title"><?php echo $homepage_meta['hp-follow-sec-title'];?></h2>
                    </header>
                    <div class="inline-social-icon">
                        <?php if( has_nav_menu( 'social-links' )):
                            $args = array(
                                'theme_location' => 'social-links',
                                'menu' => '',
                                'container' => '',
                                'container_class' => '',
                                'container_id' => '',
                                'menu_class' => '',
                                'menu_id' => '',
                                'echo' => true,
                                'fallback_cb' => '',
                                'before' => '',
                                'after' => '',
                                //'link_before' => '<div>',
                                //'link_after' => '</div>',
                                'items_wrap' => '<ul>%3$s</ul>',
                                'depth' => 0,
                                'walker' => ''
                            );                      
                            wp_nav_menu( $args );
                        endif; ?>
                    </div>
                </div>
                <?php echo apply_filters( 'the_content', $hp_instagram_feed_shortcode );?>
            </section>
        <?php endif; ?>
        <!-- .social-link-section end -->

    </main>
    <!-- #main-->
</div>
<!-- #primary-->
<?php get_footer();